Subject: Re: I-D Action: draft-ietf-6man-ipv6only-flag-00.txt -

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 4 Jul 2018 15:55:46 +0200

This - as many of my operational messages - is what I think is important 
but is maybe deviation from current discussion focus.  Sorry, and please 
feel free to ignore it.

I think the definition of IPv6 only is a very relevant one, and it is 
worth detailing.

In addition to IP overlaying tunneling and non-IP IPX protocol aspects, 
one can think in terms of stack presence on the nodes that attach to 
that link, and in terms of L2 characteristics of that link.  And, an 
example would be great.

IPv6 only link is seeing only IPv6 Ethertypes (on Ethernet) and PDP type 
IPv6 (on cellular).

Only Windows or BSD computers (not linux computers) with IPv4 unchecked 
in interface Properties connect to IPv6 only link.

IPv6 only link: an LTE link with PDP type IPv6 and Windows with IPv4 
unchecked.

(this kind of setting helped test some sites which do offer IPv6 
connectivity but fail to login if tested from an IPv6 only link, e.g. 
azur.com).

We could even say, programmatically, that IPv6 only link is when
PDP type == IPv6 || ethertype == 0x86dd
&& Windows IPv4 unchecked box.

Then one could further refine the definition by playing with these 
variables.

Just a side note and, as usual, I may be wrong at some points :-)

Alex

Le 27/06/2018 à 19:59, 神明達哉 a écrit :
> At Wed, 27 Jun 2018 08:53:41 +1200,
> Brian E Carpenter <[email-masked]> wrote:
> 
>> The scope is intended to be IP, i.e. IPv4 and IPv6. Of course
>> we can clarify that since it might not be obvious to a reader
>> in the far future.
> 
> Okay.  Then, if I were the author I'd revise section 4, e.g., as
> follows:
> 
>     IPv6-Only is defined to mean that no other versions of internet
>     protocol than IPv6 are running on the link.  Today this effectively
>     simply means that IPv4 is not running on the link, and it includes:
> 
>        *  No IPv4 traffic on the Link
>        ... same bullet list
> 
>     It is expected that on IPv6-Only networks it will be common for
>     (no change).
> 
>     Note that IPv6-Only has no information about other network
>     protocols than IP.  It is out of scope of this specification
>     whether those protocols are running on the link.
> 
> --
> JINMEI, Tatuya
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>